package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.AisShip;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/11/1
 * @Version V1.0
 */
public interface AisShipMapper {

    @MapKey("mmsi")
    Map<String, AisShip> queryDynamicShip(@Param("day") int i);

    void deleteByDay(@Param("day") int day);

    List<AisShip> queryShipAddressList(@Param("day") int i);
}
